com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,com.holonplatform.core.property.PropertyBox,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, BaseSelectInputBuilder.MultiSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, BaseSelectModeMultiPropertySelectInputBuilder<T,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, ComponentConfigurator<BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, InputBuilder<Set<T>,MultiSelect<T>,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, InputConfigurator<Set<T>,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, MultiPropertySelectInputBuilder<T,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, PropertySelectInputBuilder<Set<T>,MultiSelect<T>,T,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,com.holonplatform.core.property.PropertyBox,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>
  Enclosing interface:
    BaseSelectModeMultiPropertySelectInputBuilder<T,B extends BaseSelectModeMultiPropertySelectInputBuilder<T,B>>

      public static interface BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>
      extends BaseSelectModeMultiPropertySelectInputBuilder<T,BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>>

  A `MultiPropertySelectInputBuilder` for `RenderingMode#SELECT`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeMultiPropertySelectInputBuilder

      `BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>, BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.MultiPropertySelectInputBuilder

      `MultiPropertySelectInputBuilder.GenericMultiPropertySelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>` | `rows(int rows)` Sets the number of rows in the select.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.PropertySelectInputBuilder

      `dataSource, dataSource, dataSource`

- - ### Method Detail

    - #### rows

          BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T> rows(int rows)

      Sets the number of rows in the select.
      Parameters:
        `rows` - the number of rows to set
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.